GetNewDocumentsAndFoldersLog API

Returns the log of newly created documents and folders for the specified date range and path filter.

Endpoint

/srv.asmx/GetNewDocumentsAndFoldersLog

Methods

Parameters

Parameter Type Required Description
AuthenticationTicket string Yes Authentication ticket obtained from AuthenticateUser
StartDate DateTime No Start date for the log query range
EndDate DateTime No End date for the log query range
PathFilter string No Path filter with optional wildcard (e.g. \MyLibrary\Reports*)

Response Structure

Success Response

<response success="true">
  <logs>
    <log TYPE="DOCUMENT" ID="1234" NAME="Report.docx" DATE="2026-02-01 14:30:00" DOMAINID="1" PATH="\MyLibrary\Reports" USERID="5" FULLNAME="John Smith" />
    <log TYPE="FOLDER" ID="567" NAME="Archive" DATE="2026-01-28 09:15:00" DOMAINID="1" PATH="\MyLibrary" USERID="5" FULLNAME="John Smith" />
  </logs>
</response>

Empty Result

<response success="true">
  <logs />
</response>

Error Response

<response success="false" error="[ErrorCode] Error message" />

Log Entry Attributes

Each <log> element contains:

Attribute Type Description
TYPE string Object type: DOCUMENT or FOLDER
ID integer Object identifier
NAME string Name of the created document or folder
DATE DateTime Date and time of creation
DOMAINID integer Domain/library identifier
PATH string Parent path of the created object
USERID integer User identifier who created the object
FULLNAME string Full name of the user who created the object

Required Permissions

Example Requests

Request (GET)

GET /srv.asmx/GetNewDocumentsAndFoldersLog?AuthenticationTicket=abc123-def456&StartDate=2026-01-01&EndDate=2026-02-01&PathFilter=\MyLibrary* HTTP/1.1
Host: server.example.com

Request (POST)

POST /srv.asmx/GetNewDocumentsAndFoldersLog HTTP/1.1
Content-Type: application/x-www-form-urlencoded

AuthenticationTicket=abc123-def456&StartDate=2026-01-01&EndDate=2026-02-01&PathFilter=\MyLibrary*

Request (SOAP 1.1)

POST /srv.asmx HTTP/1.1
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://tempuri.org/GetNewDocumentsAndFoldersLog"

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetNewDocumentsAndFoldersLog xmlns="http://tempuri.org/">
      <AuthenticationTicket>abc123-def456</AuthenticationTicket>
      <StartDate>2026-01-01</StartDate>
      <EndDate>2026-02-01</EndDate>
      <PathFilter>\MyLibrary*</PathFilter>
    </GetNewDocumentsAndFoldersLog>
  </soap:Body>
</soap:Envelope>

Notes

Error Codes

Common error responses:

Error Description
[901]Session expired or Invalid ticket Invalid or expired authentication ticket
Insufficient permissions Caller does not have ViewAuditLogs admin permission

Version History